---
- name: Using "when" keyword with facts
  connection: network_cli
  gather_facts: False
  hosts: Device_group
  tasks:
    - name: Gather IOS facts
      ios_facts:
      when: 
        - ansible_network_os == "ios" and network_device == "Router"
          #register: output 

    - name: Display facts
      debug:
              #var: output
        msg: "The hostname is {{ ansible_net_hostname }} and the OS is {{ ansible_net_version }}"   
